<?php

namespace Modules\Booking;

use Filament\Contracts\Plugin;
use Filament\Panel;

class BookingPlugin implements Plugin
{
    public function getId(): string
    {
        return 'booking';
    }

    public function register(Panel $panel): void
    {
        $panel
            ->discoverResources(
                in: __DIR__.'/Filament/Resources',
                for: 'Modules\Booking\Filament\Resources',
            )
            ->discoverPages(
                in: __DIR__.'/Filament/Pages',
                for: 'Modules\Booking\Filament\Pages',
            )
            ->discoverWidgets(
                in: __DIR__.'/Filament/Widgets',
                for: 'Modules\Booking\Filament\Widgets',
            );
    }

    public function boot(Panel $panel): void {}

    public static function make(): static
    {
        return app(static::class);
    }
}
